API Reference for Marketo Engage

Remove Named Account List Members

POST /rest/v1/namedAccountList/{id}/namedAccounts/remove.json

Removes named account members from a named account list.

Operation ID
removeNamedAccountListMembersUsingPOST
Permissions
Read-Write Named Account
Request format
application/json
Returns
ResponseOfNamedAccount

Parameters

Path 1

id string required

Id of target named account list

Request body

application/json · required · RemoveNamedAccountListMemberRequest · 7 properties

input array of NamedAccount required

List of input records

Model NamedAccount

marketoGUID string required

Unique GUID of the custom object records

reasons array of Reason

List of reasons why an operation did not succeed. Reasons are only present in API responses and should not be submitted

Model Reason

code string required

Integer code of the reason

message string required

Message describing the reason for the status of the operation

seq integer (int32) required

Integer indicating the sequence of the record in response. This value is correlated to the order of the records included in the request input. Seq should only be part of responses and should not be submitted.

status string

Values created updated deleted skipped added removed

Responses

200 OK ResponseOfNamedAccount
errors array of Error required

Array of errors that occurred if the request was unsuccessful

Model Error

code string required

Error code of the error. See full list of error codes here

message string required

Message describing the cause of the error

moreResult boolean

Boolean indicating if there are more results in subsequent pages

nextPageToken string

Paging token given if the result set exceeded the allowed batch size

requestId string required

Id of the request made

result array of NamedAccount required

Array of results for individual records in the operation, may be empty

Model NamedAccount

marketoGUID string required

Unique GUID of the custom object records

reasons array of Reason

List of reasons why an operation did not succeed. Reasons are only present in API responses and should not be submitted

Model Reason

code string required

Integer code of the reason

message string required

Message describing the reason for the status of the operation

seq integer (int32) required

Integer indicating the sequence of the record in response. This value is correlated to the order of the records included in the request input. Seq should only be part of responses and should not be submitted.

status string

Values created updated deleted skipped added removed

success boolean required

Whether the request succeeded

warnings array of Warning required

Array of warnings given for the operation

Model Warning

code integer (int32) required

Integer code of the warning

message string required

Message describing the warning

Generated example
{
  "errors": [
    {
      "code": "string",
      "message": "string"
    }
  ],
  "moreResult": false,
  "nextPageToken": "example-token",
  "requestId": "123",
  "result": [
    {
      "marketoGUID": "123",
      "reasons": [
        {
          "code": "string",
          "message": "string"
        }
      ],
      "seq": 123,
      "status": "created"
    }
  ],
  "success": false,
  "warnings": [
    {
      "code": 123,
      "message": "string"
    }
  ]
}

Referenced models

Generated from swagger-mapi.json. Generated examples are inferred from the schema; they are illustrative and may not be valid production payloads.

↑ ↓ to move, ↵ to open, esc to closeSee all results